Skip to content

Workspace

Your workspace and who is calling.

GET/v1/me

Response 200

data
  • workspaceIdstringrequired
  • userobject | nullrequired

    Null when called with an API key.

    user
    • userIdstringrequired
    • emailstring
  • rolestring | nullrequired

    The dashboard user’s role; null with an API key.

    Values: owner · admin · member

Ventana de terminal
curl "https://api.usecrier.com/v1/me" \
-H "Authorization: Bearer $CRIER_API_KEY"
GET/v1/workspace

Response 200

data
  • idstringrequired
  • namestringrequired
  • usagestring | nullrequired

    Values: api · self

  • requireApprovalbooleanrequired

    Posts by members wait for an owner or admin to approve them.

  • createdAtstring (date-time)required
Ventana de terminal
curl "https://api.usecrier.com/v1/workspace" \
-H "Authorization: Bearer $CRIER_API_KEY"
PATCH/v1/workspaceDashboard only

Body

  • namestring

    max 100

  • usagestring

    Values: api · self

  • requireApprovalboolean

    Posts by members wait for an owner or admin to approve them.

Response 200

data
  • idstringrequired
  • namestringrequired
  • usagestring | nullrequired

    Values: api · self

  • requireApprovalbooleanrequired

    Posts by members wait for an owner or admin to approve them.

  • createdAtstring (date-time)required
Ventana de terminal
curl -X PATCH "https://api.usecrier.com/v1/workspace" \
-H "Authorization: Bearer $CRIER_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"usage": "api"
}'

© 2026 Crier by TWOFACES ·usecrier.com ·Dashboard ·soporte@twofacesco.com